# rpcap_filterbpf_insn Struct Reference
[Internal Structures and Definitions]

Structure that keeps a single BPF instuction; it is repeated 'ninsn' times according to the 'rpcap_filterbpf' header. More...

`#include <pcap-remote.h>`

## Data Fields

uint16 | code
| opcode of the instuction
uint8 | jt
| relative offset to jump to in case of 'true'
uint8 | jf
| relative offset to jump to in case of 'false'
int32 | k
| instruction-dependent value

## Detailed Description

Structure that keeps a single BPF instuction; it is repeated 'ninsn' times according to the 'rpcap_filterbpf' header.

Definition at line 239 of file pcap-remote.h.

## Field Documentation

uint16 code

opcode of the instuction

Definition at line 241 of file pcap-remote.h.

uint8 jf

relative offset to jump to in case of 'false'

Definition at line 243 of file pcap-remote.h.

uint8 jt

relative offset to jump to in case of 'true'

Definition at line 242 of file pcap-remote.h.

int32 k

instruction-dependent value

Definition at line 244 of file pcap-remote.h.

The documentation for this struct was generated from the following file:

- pcap-remote.h

documentation. Copyright (c) 2002-2005 Politecnico di Torino. Copyright (c) 2005-2009 CACE Technologies. All rights reserved.